nischttl(1)

NAME
nischttl - change the time to live value of a NIS+ object

SYNOPSIS
nischttl [ -ALPf ] time name...

DESCRIPTION

nischttl changes the time to live value (ttl) of the NIS+ objects or entries specified by name to time. Entries are specified using indexed names.

The time to live value is used by object caches to expire objects within their cache. When an object is read into the cache, this value is added to the current time in seconds yielding the time when the cached object would expire. The object may be returned from the cache until the current time is earlier than the calculated expiration time. When the expiration time has been reached, the object will be flushed from the cache.

The time to live time may be specified in seconds or in days, hours, minutes, seconds format. The latter format uses a suffix letter of d, h, m, or s to identify the units of time. See the examples below for usage.

The command will fail if the master NIS+ server is not running.

OPTIONS

-A  Modify all tables in the concatenation path that match the search criterion specified in name. This option implies the -P switch.

-L  Follow links and change the time to live of the linked object or entries rather than the time to live of the link itself.

-P  Follow the concatenation path within a named table. This option only makes sense when either name is an indexed name or the -L switch is also specified and the named object is a link pointing to entries.

-f  Force the operation and fail silently if it does not succeed.

ENVIRONMENT

NIS_PATH
    If this variable is set, and the NIS+ name is not fully qualified, each directory specified will be searched until the object is found (see nisdefaults(1)).

EXIT CODES.LP
nischttl returns 0 on success and 1 on failure.

SEE ALSO
nischgrp(1), nischmod(1), nischown(1), nisdefaults(1)

AUTHOR
This version of the nischttl command was written by Thorsten Kukuk <kukuk@vt.uni-paderborn.de>.